eccodes: eccodes::codes_index_select Interface Reference

eccodes

- Main Page
- C Interface
- F90 Interface
- Python Interface

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Groups Pages
Public Member Functions
eccodes::codes_index_select Interface Reference

Select the message subset with key==value. More...

## Public Member Functions
subroutine | codes_index_select_int (indexid, key, value, status)
| Select the message subset with key==value. More...
subroutine | codes_index_select_long (indexid, key, value, status)
| Select the message subset with key==value. More...
subroutine | codes_index_select_string (indexid, key, value, status)
| Select the message subset with key==value. More...
subroutine | codes_index_select_real8 (indexid, key, value, status)
| Select the message subset with key==value. More...

## Detailed Description

Select the message subset with key==value.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_index.f90

Parameters

  indexid | id of an index created from a file. The index must have been created with the key in argument.
  key | key to be selected
  value | value of the key to select
  status | CODES_SUCCESS if OK, integer value on error

## Member Function/Subroutine Documentation

subroutine codes_index_select_int | ( | integer(kind=kindofint), intent(in) | indexid,
|  | character(len=*), intent(in) | key,
|  | integer(kind=kindofint), intent(in) | value,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Select the message subset with key==value.

The value is a integer. The key must have been created with integer type or have integer as native type if the type was not explicitly defined in the index creation.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_index.f90

Parameters

  indexid | id of an index created from a file. The index must have been created with the key in argument.
  key | key to be selected
  value | value of the key to select
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_index_select_long | ( | integer(kind=kindofint), intent(in) | indexid,
|  | character(len=*), intent(in) | key,
|  | integer(kind=kindoflong), intent(in) | value,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Select the message subset with key==value.

The value is a integer. The key must have been created with integer type or have integer as native type if the type was not explicitly defined in the index creation.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_index.f90

Parameters

  indexid | id of an index created from a file. The index must have been created with the key in argument.
  key | key to be selected
  value | value of the key to select
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_index_select_real8 | ( | integer(kind=kindofint), intent(in) | indexid,
|  | character(len=*), intent(in) | key,
|  | real(kind=kindofdouble), intent(in) | value,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Select the message subset with key==value.

The value is a real. The key must have been created with real type or have real as native type if the type was not explicitly defined in the index creation.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_index.f90

Parameters

  indexid | id of an index created from a file. The index must have been created with the key in argument.
  key | key to be selected
  value | value of the key to select
  status | CODES_SUCCESS if OK, integer value on error

subroutine codes_index_select_string | ( | integer(kind=kindofint), intent(in) | indexid,
|  | character(len=*), intent(in) | key,
|  | character(len=*), intent(in) | value,
|  | integer(kind=kindofint), intent(out), optional | status
| ) |  |

Select the message subset with key==value.

The value is a integer. The key must have been created with string type or have string as native type if the type was not explicitly defined in the index creation.

In case of error, if the status parameter (optional) is not given, the program will exit with an error message.
Otherwise the error message can be gathered with codes_get_error_string.

Examples: grib_index.f90

Parameters

  indexid | id of an index created from a file. The index must have been created with the key in argument.
  key | key to be selected
  value | value of the key to select
  status | CODES_SUCCESS if OK, integer value on error

The documentation for this interface was generated from the following file:

- eccodes_f90.f90